Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044156
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2020-05-22 11:522020-06-04 16:58
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in VersionRR20Q3
StatusclosedFix in branchFixed in SCM revision2799e8a4a5dd
ProjectionnoneETAnoneTarget VersionRR20Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044156: Use same Ticket API in Discount and Tax engine - Tax engine changes

DescriptionRename following properties from Tax engine input:
- date -> orderDate
- businessPartner.businessPartnerTaxCategory -> businessPartner.taxCategory
- amount -> grossUnitAmount (if price including taxes) or netUnitAmount (if price excluding taxes)

Rename following properties from Tax engine output:
- grossAmount -> grossUnitAmount
- netAmount -> netUnitAmount
- grossPrice -> grossUnitPrice
- netPrice -> netUnitPrice
Steps To Reproduce*
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044181RR20Q3 closedaferraz Use same Ticket API in Discount and Tax engine - Discount engine changes 
related to defect 0044210RR20Q3 closedaferraz Redefine Ticket price properties 

-  Notes
(0120261)
hgbot (developer)
2020-05-26 09:32

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b476a4cbea0524aec47b7f9e177c5ad32a75cff0
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue May 26 09:03:10 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b476a4cbea0524aec47b7f9e177c5ad32a75cff0 [^]

Fixes ISSUE-44156: Use same Ticket API in Discount and Tax engine

---
M src/org/openbravo/retail/posterminal/OBPOSComponentProvider.java
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/rules/priceexcluding-tax.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/rules/priceincluding-tax.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-rules.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/interface/tax-posinterface.js
M web/org.openbravo.retail.posterminal/js/components/businesspartner_selector.js
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/receiptEdit.js
M web/org.openbravo.retail.posterminal/js/taxesengine/pos/pos-taxes.js
R web/org.openbravo.retail.posterminal/js/hookNewReceipt.js
---
(0120262)
hgbot (developer)
2020-05-26 09:32

Repository: erp/pmods/org.openbravo.retail.returns
Changeset: 52e626fa5d8f29291558c1cf697f58799d3d7994
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon May 25 19:38:22 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/52e626fa5d8f29291558c1cf697f58799d3d7994 [^]

Fixes ISSUE-44156: Use same Ticket API in Discount and Tax engine

---
M web/org.openbravo.retail.returns/js/returnUtils.js
---
(0120266)
hgbot (developer)
2020-05-26 09:39

Repository: erp/pmods/org.openbravo.retail.taxexempt
Changeset: a76638cb6e3afc2f6df17d2ac9d3a8f94cd6a922
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon May 25 17:16:21 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.taxexempt/rev/a76638cb6e3afc2f6df17d2ac9d3a8f94cd6a922 [^]

Fixes ISSUE-44156: Use same Ticket API in Discount and Tax engine

---
M web/org.openbravo.retail.taxexempt/js/hookRenderOrderLine.js
---
(0120267)
hgbot (developer)
2020-05-26 09:40

Repository: erp/pmods/org.openbravo.taxes
Changeset: d5a0f3bbf4344971710449771472c5e10076d9f9
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon May 25 17:15:51 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.taxes/rev/d5a0f3bbf4344971710449771472c5e10076d9f9 [^]

Related to ISSUE-44156: Use same Ticket API in Discount and Tax engine

---
M src-test/org/openbravo/taxes/test/base/TaxLine.java
M src-test/org/openbravo/taxes/test/base/model/BusinessPartner.java
M src-test/org/openbravo/taxes/test/base/model/Line.java
M src-test/org/openbravo/taxes/test/base/model/Ticket.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData01.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData02.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData03.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData04.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData05.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData06.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData07.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData08.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData09.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData10.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData11.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData12.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData13.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData14.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData15.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData16.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData17.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData18.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData19.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData20.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData21.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData22.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData23.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData24.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData25.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData26.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData27.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData28.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData29.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData30.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData31.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData32.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData33.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData34.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData35.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData36.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData37.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData38.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData39.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData40.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData41.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData42.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData43.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData44.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData45.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData46.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData47.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData48.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData49.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData50.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData51.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData52.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData53.java
M src-test/org/openbravo/taxes/test/unittests/TaxesTest.java
R src-test/org/openbravo/taxes/test/base/executor/ScenarioCreator.java
---
(0120438)
hgbot (developer)
2020-05-29 08:33

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2799e8a4a5dd4cd15afe12e705ce45a8b009b6c8
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed May 27 23:53:46 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2799e8a4a5dd4cd15afe12e705ce45a8b009b6c8 [^]

Fixes ISSUE-44156: Use same Ticket API in Discount and Tax engine

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/rules/priceexcluding-tax.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/rules/priceincluding-tax.js
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-rules.js
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/taxesengine/pos/pos-taxes.js
---
(0120450)
hgbot (developer)
2020-05-29 09:20

Repository: erp/pmods/org.openbravo.taxes
Changeset: 013df5cf2f0ebc3b3d74a33ae2d8b4976a0854e7
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri May 29 09:20:20 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.taxes/rev/013df5cf2f0ebc3b3d74a33ae2d8b4976a0854e7 [^]

Related to ISSUE-44156: Use same Ticket API in Discount and Tax engine

---
M src-test/org/openbravo/taxes/test/base/TaxLine.java
M src-test/org/openbravo/taxes/test/base/model/Line.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData01.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData02.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData03.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData04.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData05.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData06.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData07.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData08.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData09.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData10.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData11.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData12.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData13.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData14.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData15.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData16.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData17.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData18.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData19.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData20.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData21.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData22.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData23.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData24.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData25.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData26.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData27.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData28.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData29.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData30.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData31.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData32.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData33.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData34.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData35.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData36.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData37.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData38.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData39.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData40.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData41.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData42.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData43.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData44.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData45.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData46.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData47.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData48.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData49.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData50.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData51.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData52.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData53.java
M src-test/org/openbravo/taxes/test/unittests/TaxesTest.java
---

- Issue History
Date Modified Username Field Change
2020-05-22 11:52 aferraz New Issue
2020-05-22 11:52 aferraz Assigned To => aferraz
2020-05-22 11:52 aferraz Triggers an Emergency Pack => No
2020-05-22 11:53 aferraz Summary Use same API in Discount and Tax engine => Use same Ticket API in Discount and Tax engine
2020-05-22 11:53 aferraz Description Updated View Revisions
2020-05-25 11:52 aferraz Issue cloned 0044181
2020-05-25 11:52 aferraz Relationship added related to 0044181
2020-05-25 11:53 aferraz Summary Use same Ticket API in Discount and Tax engine => Use same Ticket API in Discount and Tax engine - Tax engine changes
2020-05-26 09:32 hgbot Checkin
2020-05-26 09:32 hgbot Note Added: 0120261
2020-05-26 09:32 hgbot Status new => resolved
2020-05-26 09:32 hgbot Resolution open => fixed
2020-05-26 09:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b476a4cbea0524aec47b7f9e177c5ad32a75cff0 [^]
2020-05-26 09:32 hgbot Checkin
2020-05-26 09:32 hgbot Note Added: 0120262
2020-05-26 09:32 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b476a4cbea0524aec47b7f9e177c5ad32a75cff0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/52e626fa5d8f29291558c1cf697f58799d3d7994 [^]
2020-05-26 09:39 hgbot Checkin
2020-05-26 09:39 hgbot Note Added: 0120266
2020-05-26 09:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.returns/rev/52e626fa5d8f29291558c1cf697f58799d3d7994 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.taxexempt/rev/a76638cb6e3afc2f6df17d2ac9d3a8f94cd6a922 [^]
2020-05-26 09:40 hgbot Checkin
2020-05-26 09:40 hgbot Note Added: 0120267
2020-05-26 10:19 aferraz Review Assigned To => marvintm
2020-05-29 08:33 hgbot Checkin
2020-05-29 08:33 hgbot Note Added: 0120438
2020-05-29 08:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.taxexempt/rev/a76638cb6e3afc2f6df17d2ac9d3a8f94cd6a922 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2799e8a4a5dd4cd15afe12e705ce45a8b009b6c8 [^]
2020-05-29 09:20 hgbot Checkin
2020-05-29 09:20 hgbot Note Added: 0120450
2020-05-29 11:23 aferraz Relationship added related to 0044210
2020-05-29 11:39 aferraz Description Updated View Revisions
2020-06-04 16:58 marvintm Status resolved => closed
2020-06-04 16:58 marvintm Fixed in Version => RR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker